List audit records for a user
The response will include audit records with changes that are made to the identified user not changes made by the identified user.
The returned records are sorted by the execution_time from newest to oldest.
See Cursor-based pagination for instructions on how to paginate through the result set.
For more information see the Audit API Document.
Scoped OAuth requires: audit_records.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
The start of the date range over which you want to search. If not specified, defaults to now() - 24 hours (past 24 hours)
date-timeThe end of the date range over which you want to search. If not specified, defaults to now(). May not be more than 31 days after since.
date-timeHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
List a user's delegations GET
Get a list of OAuth delegations for a specific user. This endpoint replaces the deprecated `/users/{id}/sessions` endpoint. **Required OAuth Scope:** For Scoped OAuth requests, this operation requires the `oauth_delegations.read` scope. Scoped OAuth requires: `oauth_delegations.read`
List users GET
List users of your PagerDuty account, optionally filtered by a search query. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.read`